/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INT_SERVICETEST') 
 CREATE TABLE T_INT_SERVICETEST (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLOUDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMETHODNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFCLASSNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FREFMETHODNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FREFARGSNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INT_SERVICETEST_ENTRY') 
 CREATE TABLE T_INT_SERVICETEST_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTESTCASE NVARCHAR(500) DEFAULT ' ' NOT NULL,
FINPARAM NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEXPECTEDRESULT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INT_SERVICETEST_L') 
 CREATE TABLE T_INT_SERVICETEST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
